# Uses of Class
it.tdlight.jni.TdApi.ForwardSource

## Uses of TdApi.ForwardSource in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ForwardSource
Modifier and Type
Field
Description
`TdApi.ForwardSource`
TdApi.MessageForwardInfo.`source`
For messages forwarded to the chat with the current user (Saved Messages), to the Replies bot chat, or to the channel's discussion group, information about the source message from which the message was forwarded last time; may be null for other forwards or if unknown.
Constructors in it.tdlight.jni with parameters of type TdApi.ForwardSource
Modifier
Constructor
Description
``
`MessageForwardInfo(TdApi.MessageOrigin origin, int date, TdApi.ForwardSource source, String publicServiceAnnouncementType)`
Contains information about a forwarded message.